Subject: Re: vger not relaying some of Junio's messages today?

From: Eric Wong <[email-masked]>
Date: Sat, 6 May 2017 21:42:23 +0000

Ævar Arnfjörð Bjarmason <[email-masked]> wrote:
> Thanks a lot for public-inbox, my only problem with it is that it
> doesn't cover every single mailing list I'm on, just git :)

Yes, I'm hoping more folks can start running their own
instances.  I notice you're on p5p where I started to
occasionally lurk a few years back.  Is that something you'd be
interesting in mirroring? :)

Some lists I'm involved in tend to be centralized
(reply-to-list, not reply-to-all); so UI changes will be needed
in public-inbox...

> Are you or someone else maintaining some ancillary scripts for it? I
> probably need to fix my patch workflow but my usual mode is browsing
> in GMail & then manually 'git am'-ing some file I find with git-log
> commands.

Not really.  I started out ssoma(*) just for archival/mirroring,
but it's mostly forgotten at this point.  I would rather people
build on existing protocols like NNTP.

> I have one to git am a patch from a msgid, thought I should write
> something to handle a series in some DWIM fashion (e.g. apply the
> latest continuous sequence of patches matching --author) but figured
> that someone's probably wrote this already & I don't need to hack it
> up myself...

I've been meaning to wire up the web search to allow downloading
an entire mbox worth of search results.  But it could be a bit
expensive for some queries and there needs to be a limit.  The
current limit for web display is too small; so maybe 1000
messages per-mbox at a time to avoid DoS-ing the server.

(*) some-sort-of-mail archiver: git clone git://80x24.org/ssoma